%define major 3
%define minor 0
%define fix 0

Name: zip
%if %{fix} > 0
Version: %{major}.%{minor}.%{fix}
%define dir zip%{major}%{minor}{%fix}
%else
Version: %{major}.%{minor}
%define dir zip%{major}%{minor}
%endif
Release: 4
License: Info-ZIP
Summary: Info-Zip zip
Url: http://infozip.sourceforge.net/Zip.html

Source0: ftp://ftp.info-zip.org/pub/infozip/src/%{dir}.tgz

%description
Zip is a compression and file packaging/archive utility. Although highly compatible both with PKWARE's PKZIP and PKUNZIP utilities for MS-DOS and with Info-ZIP's own UnZip, our primary objectives have been portability and other-than-MSDOS functionality. Features not found in the PKWARE version include:

    creating zipfiles in a pipe or on a device
    VMS and OS/2 extended file attributes
    conversion between Unix, MS-DOS and Macintosh text file formats
    the ability to run on most of your favorite operating systems. 

%prep
%setup -q -n %{dir}

%build

MAKE=`which make`

# generate a script to wrap the make call
# with all the parameters that we need
cat > _make <<EOF
#!/usr/bin/env bash

$MAKE \
  -f unix/Makefile \
  prefix=%{_prefix} \
  BINDIR=%{buildroot}/%{_bindir} \
  MANDIR=%{buildroot}/%{_mandir}/man1 \
  IZ_BZIP2=disablebz2support \
  CC=gcc \
  CPP="gcc -E" \
  "\$@"
EOF

chmod +x _make

./_make flags

perl -p -i -e 's|LFLAGS1=""|LFLAGS1="-Wl,-blibpath:/QOpenSys/usr/lib"|' flags

./_make generic

%install

./_make install

%files
%defattr(-, qsys, *none)

%{_bindir}/zip
%{_bindir}/zipcloak
%{_bindir}/zipnote
%{_bindir}/zipsplit

%{_mandir}/man1/zip.1*
%{_mandir}/man1/zipcloak.1*
%{_mandir}/man1/zipnote.1*
%{_mandir}/man1/zipsplit.1*

%changelog
* Tue Jul 28 2020 Mark Irish <mirish@ibm.com> - 3.0
- Correct URL to new page to avoid dead link

* Wed May 27 2020 Kevin Adler <kadler@us.ibm.com> - 3.0
- Use generic paths for man and info pages to allow for compression

* Tue Nov 05 2019 Kevin Adler <kadler@us.ibm.com> - 3.0
- Use SPDX license

* Sat Mar 03 2018 - Kevin Adler <kadler@us.ibm.com>
- use perl -pie instead of GNU sed -i
- Remove gcc wrappers
- Add BuildRequires
- various other fixes

* Wed Dec 20 2017 - Kevin Adler <kadler@us.ibm.com>
- Remove 64-bit GCC script workarounds for OBJECT_MODE

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Enable version macros in zip/unzip specs

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Remove outdated TODO comments

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Use auto dependency resolution instead of requiring pase-libs

* Tue Nov 07 2017 - Kevin Adler <kadler@us.ibm.com>
- Fix license
